const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Node)
    map: cc.Node = null;

    idx: number;
    _layer: cc.TiledLayer;

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
    	let map = this.map.getComponent(cc.TiledMap);
    	this._layer = map.getLayer("layer");
    	this.idx = 2;
    	this._layer.setTileGIDAt(this.idx, 0, 0);
        cc.find("btn", this.node).on("click", function (argument) {
            this.idx = 6-this.idx;
            cc.log(this.idx, this._layer.getTileGIDAt(0, 0));
            this._layer.setTileGIDAt(this.idx, 0, 0);
            cc.log(this.idx, this._layer.getTileGIDAt(0, 0));
        }, this);
    }

    // update (dt) {}
}
